# create-plugin

## Purpose

The `create-plugin` command will create a Griffon plugin project.

## Examples

    griffon create-plugin simple

## Description

Creates a Griffon plugin project. A Griffon plugin project is just like a regular Griffon project except it contains a plugin descriptor and can be packaged up as a plugin and installed into other applications.

Plug-ins are not just useful for plugin developers, but also as a way to modularize large Griffon applications. Refer to the section on Plug-in Development in the user guide for more information on developing plugins for Griffon.

Usage:

    griffon create-plugin [name]

Arguments:

- `name` - The name of the plugin

Options:

- `app-version` - Version to be set on the plugin. Defaults to 0.1.
- `inplace` - If true creates the plugin in the current directory. Defaults to false.